.percent-circle
{
    position: relative;
    width: 40px;
    height: 40px;
    transform: rotateZ(-90deg);
}
  
.percent-circle circle
{
    width: 100%;
    height: 100%;
    fill: none;
    stroke: #444;
    stroke-width: 5;
    stroke-linecap: round;
    transform: translate(5px, 5px);
}
  
.percent-circle circle:nth-child(2)
{
    stroke-dasharray: 100;
    stroke-dashoffset: 20;
    stroke-dashoffset: calc( 100 - (100 * var(--percent)) / 100 );
    stroke: var(--high-color);
    transition: stroke-dashoffset .5s ease-in-out;
}